// SPDX-FileCopyrightText: 2024 Aravinth Manivannan <realaravinth@batsense.net>
//
// SPDX-License-Identifier: AGPL-3.0-or-later

use actix_web::web;
use std::sync::Arc;

mod adapter;
mod handlers;
mod template;

use super::types;
use template::LoginPageInterface;

pub use template::register_templates;

pub fn services(cfg: &mut web::ServiceConfig) {
    template::load_templates(cfg);
    handlers::services(cfg);
}

pub type WebLoginPageInterface = web::Data<Arc<dyn LoginPageInterface>>;
