// SPDX-FileCopyrightText: 2024 Aravinth Manivannan <realaravinth@batsense.net>
//
// SPDX-License-Identifier: AGPL-3.0-or-later

use super::errors::*;

#[async_trait::async_trait]
pub trait RequestAuthorizationInterface: Send + Sync {
    // TODO: input ports must not be dependent on the type of port. In this case,
    // it should return redirect URL only
    async fn request_oauth_authorization(&self, forge_name: String) -> InUIResult<url::Url>;
}
