// SPDX-FileCopyrightText: 2024 Aravinth Manivannan <realaravinth@batsense.net>
//
// SPDX-License-Identifier: AGPL-3.0-or-later

use serde::{Deserialize, Serialize};
use url::Url;

use super::errors::*;

#[derive(Debug, Clone, Serialize, Deserialize, PartialEq, Eq, PartialOrd, Ord)]
pub struct ProcessAuthorizationInterfaceResp {
    pub username: String,
}
#[async_trait::async_trait]
pub trait ProcessAuthorizationInterface: Send + Sync {
    async fn process_authorization(
        &self,
        code: String,
        state: String,
        oauth_provider: String,
        redirect_uri: Option<Url>,
    ) -> InUIResult<ProcessAuthorizationInterfaceResp>;
}
