// SPDX-FileCopyrightText: 2024 Aravinth Manivannan <realaravinth@batsense.net>
//
// SPDX-License-Identifier: AGPL-3.0-or-later

use super::errors::*;

#[async_trait::async_trait]
pub trait GetOAuthState: Send + Sync {
    /// Get OAuth state code generated during authorization request
    async fn get_oauth_state(&self, state: &str) -> OutDBPortResult<()>;
}
