// SPDX-FileCopyrightText: 2024 Aravinth Manivannan <realaravinth@batsense.net>
//
// SPDX-License-Identifier: AGPL-3.0-or-later

pub mod command;
pub mod errors;
pub mod service;

#[async_trait::async_trait]
pub trait ProcessAuthorizationResponseUseCase {
    async fn process_authorization_response(
        &self,
        cmd: command::ProcessAuthorizationResponseCommand,
    ) -> errors::ProcessAuthorizationServiceResult<String>;
}
