// SPDX-FileCopyrightText: 2024 Aravinth Manivannan <realaravinth@batsense.net>
//
// SPDX-License-Identifier: AGPL-3.0-or-later

use serde::{Deserialize, Serialize};

use super::errors::*;

#[derive(Debug, Clone, Serialize, Deserialize, PartialEq, Eq, PartialOrd, Ord)]
pub struct RequestAuthorizationCommand {
    oauth_provider: String,
}

impl RequestAuthorizationCommand {
    pub fn oauth_provider(&self) -> &str {
        &self.oauth_provider
    }

    pub fn new_command(oauth_provider: String) -> RequestAuthorizationServiceResult<Self> {
        let oauth_provider = oauth_provider.trim().to_string();
        Ok(Self { oauth_provider })
    }
}
