// SPDX-FileCopyrightText: 2024 Aravinth Manivannan <realaravinth@batsense.net>
//
// SPDX-License-Identifier: AGPL-3.0-or-later

use url::Url;

pub mod command;
pub mod errors;
pub mod service;

#[async_trait::async_trait]
pub trait RequestAuthorizationUserCase: Send + Sync {
    async fn request_authorization(
        &self,
        cmd: command::RequestAuthorizationCommand,
    ) -> errors::RequestAuthorizationServiceResult<Url>;
}
