// SPDX-FileCopyrightText: 2024 Aravinth Manivannan <realaravinth@batsense.net>
//
// SPDX-License-Identifier: AGPL-3.0-or-later

use config::{builder::DefaultState, ConfigBuilder};
use serde::Deserialize;

pub mod forgejo;
pub mod github;

use forgejo::Forgejo;
use github::Github;

#[derive(Debug, Clone, Deserialize, Eq, PartialEq)]
pub struct Forges {
    pub forgejo: Forgejo,
    pub github: Github,
}

impl Forges {
    pub fn env_override(mut s: ConfigBuilder<DefaultState>) -> ConfigBuilder<DefaultState> {
        s = Forgejo::env_override(s);
        Github::env_override(s)
    }
}
